%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global py_minor 17

%global python_major python%{py_major}

%global pkgname click

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        8.1.6
Release:        1
Summary:        Simple wrapper around optparse for powerful command line utilities
License:        BSD
URL:            https://github.com/mitsuhiko/click
Source0:        https://files.pythonhosted.org/packages/source/c/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
Requires:       %{python_major} >= %{py_major}.%{py_minor}


%description
click is a Python package for creating beautiful command line
interfaces in a composable way with as little amount of code as necessary.
It's the "Command Line Interface Creation Kit".  It's highly configurable but
comes with good defaults out of the box.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} -m pip install . --root %{buildroot} -I --no-deps


%check
%if %{with dotests}

export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{python_major} -m pytest

%endif


%files
%defattr(-,root,system,-)
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitearch}/*

%files -n %{meta_package}
# Empty

%changelog
* Thu Sep 14 2023 Ayappan P <ayappap2@in.ibm.com> - 8.1.6-1
- First port to AIX
